<template>
  <div v-for="item in dataSet" :key="item.uuid" class="q-pb-md q-gutter-xs">
    <q-banner
      dense
      rounded
      inline-actions
      :class="'text-white bg-' + item.tipo"
    >
      <p class="text-subtitle2">{{ item.titulo }}</p>
      {{ item.detalle }}
      <template v-slot:action>
        <q-btn
          v-if="item.link"
          flat
          color="white"
          label="Link"
          :href="item.link"
        />
      </template>
    </q-banner>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref, onMounted } from 'vue';
import { api } from 'src/boot/axios';
import { AxiosResponse } from 'axios';
export default defineComponent({
  name: 'IndexPage',
  components: {},
  setup() {
    const dataSet = ref([]);
    onMounted(() => {
      api.get('/api/varios/novedades').then((response: AxiosResponse) => {
        dataSet.value = response.data;
      });
    });
    return { dataSet };
  },
});
</script>
